Subject: [bug#58757] [PATCH staging] gnu: tbb: Update to 2021.6.0.

From: Simon South <[email-masked]>
Date: Mon, 24 Oct 2022 08:13:57 -0400

This patch updates TBB ("Thread Building Blocks") to version 2021.6.0.

It also removes a now-obsolete patch that was added temporarily to allow
building on AArch64.[0]

I've tested this against the staging branch on x86_64-linux and aarch64-linux
and everything seems okay.

- On x86_64-linux, I've rebuilt without issue all 406 dependent packages
  reported by "guix refresh --list-dependent tbb" except for
  python-dolfin-adjoint, r-mlr3ordinal and shogun, but these do not appear to
  be new failures.[1]

- On aarch64-linux, of tbb's immediate dependents[2] nlopt, octave, openvdb,
  salmon and suitesparse build without issue.  The remainder (or their own
  dependencies) fail but none appear to be new failures.[3]

  As usual, building the full set of dependents would require packages (like
  the Haskell compiler) that either are not yet available for AArch64 or are
  not feasible to build on the hobbyist boards I have available.

--
Simon South
[email-masked]

[0] In commit 2d4c22b0aa49:
    https://git.savannah.gnu.org/cgit/guix.git/commit/?id=2d4c22b0aa497f8a5e57a453b1dbf3ea98747c5f

[1] https://ci.guix.gnu.org/search?query=python-dolfin-adjoint+spec%3Astaging+system%3Ax86_64-linux
    https://ci.guix.gnu.org/search?query=r-mlr3ordinal+spec%3Astaging+system%3Ax86_64-linux
    https://ci.guix.gnu.org/search?query=shogun+spec%3Astaging+system%3Ax86_64-linux

[2] [email-masked], [email-masked], [email-masked],
    [email-masked], [email-masked], [email-masked],
    [email-masked], [email-masked], [email-masked] and [email-masked].

[3] https://ci.guix.gnu.org/search?query=embree+spec%3Astaging+system%3Aaarch64-linux
    https://ci.guix.gnu.org/search?query=opencolorio+spec%3Astaging+system%3Aaarch64-linux
    https://ci.guix.gnu.org/search?query=prusa-slicer+spec%3Astaging+system%3Aaarch64-linux
    https://ci.guix.gnu.org/search?query=vxl+spec%3Astaging+system%3Aaarch64-linux

Simon South (1):
  gnu: tbb: Update to 2021.6.0.

 gnu/local.mk                                  |  1 -
 .../patches/tbb-fix-test-on-aarch64.patch     | 35 -------------------
 gnu/packages/patches/tbb-other-arches.patch   |  8 ++---
 gnu/packages/tbb.scm                          | 10 ++----
 4 files changed, 7 insertions(+), 47 deletions(-)
 delete mode 100644 gnu/packages/patches/tbb-fix-test-on-aarch64.patch

base-commit: 408a4ed071c9c52de207d799a698781d49fa727d
--
2.38.0